
QGIS Application - Bug report #16241

Missing labels in form from joined table

2017-02-27 08:11 AM - didier peeters

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:2.18.3 Regression?: No

Operating System: Mac Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24151

Description

Here's the problem: 

I made a form with the Drag&Drop tool, with 3 tabs among which one has only fields from a table (itself loaded from a UTF-16 text file)

joined to the layer. When I close the project and reopen it the labels of these fields are gone, only the data remain.  But then if I add

another field to the Tab (from the same table) then all the labels re-appear.  If I add in the same tab a field from the layer itself its label

remains but not those from the joined table after reloading the project.  

Seen in QGis 2.18 and 2.14 on Mac.

History

#1 - 2017-03-06 07:15 AM - didier peeters

Same observation on QGis 2.18 on Windows.

Same observation with a csv file coded in ISO-8859-1.

Same with a joined table from PostGIS.

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-03-15 03:50 PM - Nino Formica

Test on QGIS 2.18.17 confirm the issue.

Test on QGIS 3.0.0, when properties table (with form) reopened then QGIS crash. 

This is report detail:

Crash ID: 5a2438eff6e9f0182f9659392d7d5799867cd4ad

Stack Trace

QgsField::QgsField :

QgsFields::operator[] :

QgsAttributeForm::createWidgetFromDef :

QgsAttributeForm::init :

QgsAttributeForm::QgsAttributeForm :

QgsDualView::init :

QgsAttributeTableDialog::QgsAttributeTableDialog :

QgisApp::attributeTable :

CPLStringList::operator[] :

QMetaObject::activate :
QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#4 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
